Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## controlP5
Class ControlWindowKeyHandler

    java.lang.Object
      controlP5.ControlWindowKeyHandler

All Implemented Interfaces:
  ControlP5Constants

    public class ControlWindowKeyHandler

extends java.lang.Object
implements ControlP5Constants

Handles key events.

Field Summary
`boolean` | `isAltDown`
`boolean` | `isKeyDown`
`boolean` | `isKeyMenu`
`boolean` | `isShiftDown`

Fields inherited from interface controlP5.ControlP5Constants
`acceptClassList, ACTION_BROADCAST, ACTION_ENTER, ACTION_LEAVE, ACTION_PRESSED, ACTION_RELEASED, ACTION_RELEASEDOUTSIDE, ACTIVE, ALT, ARC, ARRAY, BACKSPACE, BOOLEAN, BOTTOM, CENTER, CONTROL, controlEventClass, CUSTOM, DECREASE, DEFAULT, DELETE, DONE, DOWN, ELLIPSE, ENTER, ESCAPE, EVENT, eventMethod, FADEIN, FADEOUT, FIELD, FLOAT, HALF_PI, HIDE, HIGHLIGHT, HORIZONTAL, IDLE, IMAGE, INACTIVE, INCREASE, INTEGER, INVALID, KEYCONTROL, LEFT, LINE, LOAD, MENU, METHOD, MOVE, MULTIPLES, OVER, PI, PRESSED, PRINT, RELEASE, RESET, RIGHT, SAVE, SHIFT, SINGLE_COLUMN, SINGLE_ROW, SPRITE, STRING, SWITCH, SWITCH_BACK, SWITCH_FORE, TAB, TOP, TWO_PI, UP, VERBOSE, VERTICAL, WAIT`

Constructor Summary
`ControlWindowKeyHandler(ControlP5 theControlP5)`

Method Summary
`void` | `keyEvent(java.awt.event.KeyEvent theKeyEvent, ControlWindow theControlWindow, boolean isMasterWindow)`
`void` | `update(ControlWindow theControlWindow)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### isShiftDown

    public boolean isShiftDown

### isKeyDown

    public boolean isKeyDown

### isAltDown

    public boolean isAltDown

### isKeyMenu

    public boolean isKeyMenu

Constructor Detail

### ControlWindowKeyHandler

    public ControlWindowKeyHandler(ControlP5 theControlP5)

Method Detail

### update

    public void update(ControlWindow theControlWindow)

### keyEvent

    public void keyEvent(java.awt.event.KeyEvent theKeyEvent,
                         ControlWindow theControlWindow,
                         boolean isMasterWindow)

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

processing library controlP5 by Andreas Schlegel. (c) 2011